MWProParserInternal::State Struct Reference

Internal: the state of a MWProParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

std::map< int, long > | m_blocksMap
| the list of retrieved block : block -> new address More...
std::map< int, shared_ptr< Zone > > | m_dataMap
| the list of blockId->data zone More...
std::map< int, shared_ptr < TextZone > > | m_textMap
| the list of blockId->text zone More...
std::vector< int > | m_blocksCallByTokens
| the list of blockId called by tokens More...
int | m_col
| the number of columns in MWII More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MWProParser.

## Constructor & Destructor Documentation

MWProParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MWProParserInternal::State::m_actPage

the actual page

std::vector<int> MWProParserInternal::State::m_blocksCallByTokens

the list of blockId called by tokens

std::map<int,long> MWProParserInternal::State::m_blocksMap

the list of retrieved block : block -> new address

int MWProParserInternal::State::m_col

the number of columns in MWII

std::map<int, shared_ptr<Zone> > MWProParserInternal::State::m_dataMap

the list of blockId->data zone

int MWProParserInternal::State::m_footerHeight

the footer height if known

int MWProParserInternal::State::m_headerHeight

the header height if known

int MWProParserInternal::State::m_numPages

the number of page of the final document

std::map<int, shared_ptr<TextZone> > MWProParserInternal::State::m_textMap

the list of blockId->text zone

The documentation for this struct was generated from the following file:

- MWProParser.cxx